GSL(1)

NAME
gsl - a code construction and generation tool

SYNOPSIS
gsl [-<option> ] [-<attr>[:<value>]] [FILE]

gsl -a [-<option> ] [-<attr>[:<value>]] [FILE] [ARG]

DESCRIPTION
GSL/4.1 is a code construction tool. It will generate code in all languages and for all purposes, based on templates.

OPTIONS

-a  Pass arguments following [FILE] to GSL script

-q  suppress routine messages

-p  process files in parallel

-c:<MODE>[:FILE]
    set console mode (optionally capture output to file)

    (use capital case -C:... to disable the echo)

    modes:

    p - print as requested

    d - prefix with date and time

    t - prefix with time only

    dbg - datetime, with full flush to disk

-s:<N>
    set script cache size - default is 1000000

-h  show command-line summary

-v  show full version information

SEE ALSO
The full documentation for gsl, including tutorials on how to create templates, is maintained as a MarkDown format README in:

</usr/share/doc/generator-scripting-language/README.md>

or online at:

<https://github.com/zeromq/gsl/blob/master/README.md>